Dream Come True Reading
The Dream Come True Reading API draws 1 to 5 tarot cards per call to deliver a wish-themed reading focused on love, hopes and aspirations. Each card returns a written interpretation plus embeddable card images. Results are randomly drawn each call; no dream description input required.
Step by Step Dream Come True Reading API Postman Testing Integration
Step by Step Dream Come True Reading API Postman Testing Integration
API Endpoint for English
POST https://astroapi-5.divineapi.com/api/v3/dream-come-true-readingGuide: If you only need English, use this endpoint.
API Endpoint for other languages
POST https://astroapi-5-translator.divineapi.com/api/v3/dream-come-true-readingGuide: If you want the response in any other language use this translator endpoint.
Supported Language Codes
Use the lan field in the request body to specify the response language.
Supported Reference Article:
https://support.divineapi.com/general-api-support/translating-apis-into-a-different-language
| Code | Language |
|---|---|
| en | English |
| hi | Hindi |
| zh | Chinese |
| ja | Japanese |
| ar | Arabic |
| ru | Russian |
| pt | Portuguese |
| es | Spanish |
| fr | French |
| de | German |
| it | Italian |
| nl | Dutch |
| pl | Polish |
| tr | Turkish |
| uk | Ukrainian |
| hu | Hungarian |
| gr | Greek |
| bn | Bengali |
| ma | Marathi |
| tm | Tamil |
| tl | Telugu |
| ml | Malayalam |
| kn | Kannada |
| ta | Filipino/Tagalog |
| bah | Indonesian |
Guide: Ensure that your translator configuration is up to date via DivineAPI Translator.
Headers
| Name | Type | Description |
|---|---|---|
| Authorization* | String | Your API Access Token. Example: Bearer {token} |
Request Body
| Name | Type | Description |
|---|---|---|
| api_key* | String | Your DivineAPI key available in the developer dashboard. |
| lan | String | Language code as per the above table. Default is en. |
| cards_count | Integer | Number of cards to display, eg: 1 (Allowed: 1/2/3/4/5, Default: 1) |
| card_image | Integer | Card image UI type, eg: 1 (Allowed: 1/2/3, Default: 1) |
200: OK Successful
{
"success": 1,
"data": {
"prediction": {
"card": "THE HIEROPHANT",
"result": "You may have heard the saying, \"love at first sight.\" It's a powerful feeling that can come over you quickly and take you by surprise. It's easy to get swept away in the excitement of a new relationship, but it's important to take the time to truly get to know each other. When you have a connection based on understanding and trust, the relationship has the potential to be truly magical.\r\n\r\nBut what if you don't feel that intense passion? Does that mean the relationship isn't worth pursuing? Not necessarily. Sometimes, love can grow and deepen over time. You may not feel that initial spark, but there may still be a strong connection between you that is worth exploring.\r\n\r\nRegardless of how you feel, it's important not to miss out on the chance to build a relationship with someone who could be important in your life. Whether it's a short or long-term connection, there is a purpose for you being together. Take the time to get to know each other, communicate openly and honestly, and see where the relationship takes you.",
"image": "https://divineapi.com/admin/uploads/tarot_make_a_wish/6.jpg",
"image2": "https://divineapi.com/admin/uploads/tarot_make_a_wish/6_2.jpg",
"image3": "https://divineapi.com/admin/uploads/tarot_make_a_wish/6_3.jpg"
}
}
}Example Code Implementations
Below are example implementations in various programming environments.
cURL
curl --location 'https://astroapi-5.divineapi.com/api/v3/dream-come-true-reading' \
--header 'Authorization: Bearer {Your Auth Token}' \
--form 'api_key="{Your API Key}"' \
--form 'lan="en"'NodeJS
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://astroapi-5.divineapi.com/api/v3/dream-come-true-reading',
'headers': {
'Authorization': 'Bearer {Your Auth Token}'
},
formData: {
'api_key': '{Your API Key}',
'lan': 'en'
}
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});JavaScript jQuery AJAX
var form = new FormData();
form.append("api_key", "{Your API Key}");
form.append("lan", "en");
var settings = {
"url": "https://astroapi-5.divineapi.com/api/v3/dream-come-true-reading",
"method": "POST",
"timeout": 0,
"headers": {
"Authorization": "Bearer {Your Auth Token}"
},
"processData": false,
"mimeType": "multipart/form-data",
"contentType": false,
"data": form
};
$.ajax(settings).done(function (response) {
console.log(response);
});Python
import requests
url = "https://astroapi-5.divineapi.com/api/v3/dream-come-true-reading"
payload = {'api_key': '{Your API Key}',
'lan': 'en'}
headers = {
'Authorization': 'Bearer {Your Auth Token}'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)